#!/bin/sh
export PATH='/usr/local/sbin:/usr/local/bin:/usr/bin:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl'
echo 'name:                 what4
version:              1.2.1
visibility:           public
id:                   what4-1.2.1-CKZZxDd2BAOAeD9YvZlWq6
key:                  what4-1.2.1-CKZZxDd2BAOAeD9YvZlWq6
license:              BSD-3-Clause
copyright:            (c) Galois, Inc 2014-2021
maintainer:           jhendrix@galois.com, rdockins@galois.com
author:               Galois Inc.
homepage:             https://github.com/GaloisInc/what4
synopsis:             Solver-agnostic symbolic values support for issuing queries
description:
    What4 is a generic library for representing values as symbolic formulae which may
    contain references to symbolic values, representing unknown variables.
    It provides support for communicating with a variety of SAT and SMT solvers,
    including Z3, CVC4, Yices, Boolector, STP, and dReal.
    The data representation types make heavy use of GADT-style type indices
    to ensure type-correct manipulation of symbolic values.

category:             Formal Methods, Theorem Provers, Symbolic Computation, SMT
abi:                  9761b9f55aeb4c066d022fa2550ab94d
exposed:              True
exposed-modules:
    Test.Verification What4.BaseTypes What4.Concrete What4.Config
    What4.Expr What4.Expr.App What4.Expr.AppTheory
    What4.Expr.ArrayUpdateMap What4.Expr.BoolMap What4.Expr.Builder
    What4.Expr.GroundEval What4.Expr.MATLAB What4.Expr.Simplify
    What4.Expr.StringSeq What4.Expr.UnaryBV
    What4.Expr.VarIdentification What4.Expr.WeightedSum
    What4.FunctionName What4.IndexLit What4.Interface
    What4.InterpretedFloatingPoint What4.LabeledPred What4.Panic
    What4.Partial What4.ProblemFeatures What4.ProgramLoc
    What4.Protocol.Online What4.Protocol.PolyRoot
    What4.Protocol.ReadDecimal What4.Protocol.SExp
    What4.Protocol.SMTLib2 What4.Protocol.SMTLib2.Parse
    What4.Protocol.SMTLib2.Response What4.Protocol.SMTLib2.Syntax
    What4.Protocol.SMTWriter What4.Protocol.VerilogWriter
    What4.Protocol.VerilogWriter.ABCVerilog
    What4.Protocol.VerilogWriter.AST
    What4.Protocol.VerilogWriter.Backend What4.SFloat What4.SWord
    What4.SatResult What4.SemiRing What4.Solver What4.Solver.Adapter
    What4.Solver.Boolector What4.Solver.CVC4 What4.Solver.DReal
    What4.Solver.ExternalABC What4.Solver.STP What4.Solver.Yices
    What4.Solver.Z3 What4.Symbol What4.Utils.AbstractDomains
    What4.Utils.AnnotatedMap What4.Utils.Arithmetic
    What4.Utils.BVDomain What4.Utils.BVDomain.Arith
    What4.Utils.BVDomain.Bitwise What4.Utils.BVDomain.XOR
    What4.Utils.Complex What4.Utils.Endian What4.Utils.Environment
    What4.Utils.FloatHelpers What4.Utils.HandleReader
    What4.Utils.IncrHash What4.Utils.LeqMap What4.Utils.MonadST
    What4.Utils.OnlyIntRepr What4.Utils.Process What4.Utils.Streams
    What4.Utils.StringLiteral What4.Utils.Versions
    What4.Utils.Word16String What4.WordMap

import-dirs:          /usr/lib/ghc-9.0.1/site-local/what4-1.2.1
library-dirs:         /usr/lib/ghc-9.0.1/site-local/what4-1.2.1
dynamic-library-dirs: /usr/lib
data-dir:             /usr/share/x86_64-linux-ghc-9.0.1/what4-1.2.1
hs-libraries:         HSwhat4-1.2.1-CKZZxDd2BAOAeD9YvZlWq6
depends:
    attoparsec-0.14.1-EcyJzfZhZzx4rFmzSXlwR7 base-4.15.0.0
    bifunctors-5.5.11-kZpUaJiu04BPrRtzSHnUB
    bimap-0.4.0-ECmOEoSj76UGBPDx6lq8jL
    bv-sized-1.0.3-HncFUfhY7LPEFOTH4Dg2kM bytestring-0.10.12.1
    config-value-0.8.1-KeLFOkD4SXx3zqrwutdHEH containers-0.6.4.1
    data-binary-ieee754-0.4.4-1uzt85nFoxu5Mgq2DE5oph deepseq-1.4.5.0
    deriving-compat-0.6-EaizVYOdRHe9QSZtBgroaP directory-1.3.6.1
    exceptions-0.10.4 extra-1.7.10-IKTdTMveNU45Czd2kxoN4l
    filepath-1.4.2.1 fingertree-0.1.4.2-Yizww7yuifKBKcWqpBgZA
    ghc-prim-0.7.0 hashable-1.3.3.0-23uoxU4x6MLFe9vf4ULvQk
    hashtables-1.2.4.1-CDao21uYnK7Ckjg39SiLrf
    io-streams-1.5.2.1-EcQSDzjEur5Cb7EESz6zLJ
    lens-5.0.1-rlrBG3eUIE9ghmFG9oii1 libBF-0.6.2-6BO07z37A4PBK8XE7hPSAM
    mtl-2.2.2 panic-0.4.0.1-6ICRVlNw1Qd50vb6RGATyn
    parameterized-utils-2.1.3.0-JXDWEU5zI8qBwyZ8YRtYoh
    prettyprinter-1.7.1-7rmYoMkh0xy8XND4bMZ0rp process-1.6.11.0
    scientific-0.3.7.0-EaDwkzCxpqX9NV16Z7isyG template-haskell-2.17.0.0
    temporary-1.3-DoCk13Nh2D4AZEU9Ihg8GU text-1.2.4.1
    th-abstraction-0.4.3.0-DBpnRpG8EZgFebz88L1kOA
    th-lift-0.8.2-F0VVOrB5SZgFNS1AEtieR9
    th-lift-instances-0.1.18-KUWH1P8A5B9EF5K1RFQrIk
    transformers-0.5.6.2
    unordered-containers-0.2.14.0-7LMDP5QPSZY4o6Vs5H6SAe
    utf8-string-1.0.2-FSV4F6pxd5y7PjtRkbEpDf
    vector-0.12.3.1-7avVqi4S14u4vwRbDqmIKr
    versions-5.0.0-AvetB78xWLuGjDLgLGpDPZ
    zenc-0.1.2-4QEfttIWfGB3t88rKUz3Lm

haddock-interfaces:   /usr/share/doc/haskell-what4/html/what4.haddock
haddock-html:         /usr/share/doc/haskell-what4/html
' | '/usr/bin/ghc-pkg' 'update' '--force' '-' '--global' '--no-user-package-db' "$@"

